<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		.contenedor{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows:repeat(3,1fr);
		}
		.contenedor>div{
			border: solid black 1px;
			min-height: 50px;

		}
		.contenedor>div:nth-child(1){
			/*grid-row-start, grid-column-start, grid-row-end, -ms-grid-column-end: em;
			grid-column-end: em;*/
			grid-area: 1/1/2/5;
			background-color: blue;
		}
		.contenedor>div:nth-child(2){
			grid-area: 2/1/3/2;
			background-color: red;
		}
		.contenedor>div:nth-child(3){
			grid-area: 2/2/3/4;
			background-color: green;
		}
		.contenedor>div:nth-child(4){
			grid-area: 2/4/3/5;
			background-color: yellow;
		}
		.contenedor>div:nth-child(5){
			grid-area: 3/1/4/5;
			background-color: aqua;
		}
		#elFlex{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows:repeat(1,1fr);
			align-items: center;
			justify-items:center;
			
		}
		#elFlex>div{
			
			height: 80%;
			width: 95%;
			background-color: maroon;

		}
	</style>
</head>
<body>
	<div class="contenedor">
		<div><p>Header</p></div>
		<div><p>Left SideBar</p></div>
		<div><p>Main content</p></div>
		<div><p>Rigth SideBar</p></div>
		<div id="elFlex">
			<div><p>Footer 1</p></div>
			<div><p>Footer 2</p></div>
			<div><p>Footer 3</p></div>
			<div><p>Footer 4</p></div>
		</div>
	</div>
</body>
</html>